body {
  margin: 0;
}

label {
  margin-right: 0.5em;
}

.splash {
  text-align: center;
  margin: 10% 0 0 0;
  box-sizing: border-box;
}

.splash .message {
  font-size: 42px;
  line-height: 72px;
  text-shadow: rgba(0, 0, 0, 0.5) 0 0 15px;
  text-transform: uppercase;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.splash .fa-spinner {
  text-align: center;
  display: inline-block;
  font-size: 72px;
  margin-top: 50px;
}

.page-host {
  position: relative;
  left: 0;
  right: 0;
  top: 50px;
  bottom: 0;this.root.offset({top:pageY, left:pageX});
  overflow-x: hidden;
  overflow-y: auto;
}

@media print {
  .page-host {
    position: absolute;
    left: 10px;
    right: 0;
    top: 50px;
    bottom: 0;
    overflow-y: inherit;
    overflow-x: inherit;
  }
}

section {
  margin: 0 20px;
}

.navbar-nav li.loader {
  margin: 12px 24px 0 6px;
}

.navbar-nav.navbar-right li a {
  padding-top:10px;
  padding-bottom:10px;
}

.ebook-authors {
  font-style: italic;
}

.ebook-detail {
  margin: 5px;
  background-color:lightgrey;
  padding: 5px;
  height: 150px;
  overflow: hidden;
  box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.5);
}

.ebook-detail .right-side {
  display: flex; 
  flex-direction: column;
  height: 140px;
  justify-content: space-between;
}

.ebook-card-description {
  overflow-y:auto;
}

.ebook-title {
  font-weight: bold;
}

.pager-spinner {
   margin-left:auto;
   margin-right:auto;
   width:1em;
   display:block;
   margin-top: -3.5em;

}

.pager i.fa {
  font-size: 130%;
}

.pager li {
  margin-right: 5px;
}

.sorter-label i{
  font-size:150%;
}

.sorter {
    display:inline;
    font-size:70%;
    margin-left: 1em;
  }

.sorter select {
  position:relative;
  top:-5px;
}

.ebook-properties {
  margin-top: 10px;
}

.source-action {
  margin-left:10px;
  font-size:1.3em;
}

.notifications-btn {
  font-size: 3em;
  margin-top: 38px;
}

.uploading-progress {
  font-size: 2em;
}

.drawer-nav li {
  border-bottom: solid 1px grey;
}

.notification.status {
  height: 3em;
}

.notification.status span.success {
  color: green;
  font-weight: bold;
}

.notification.status span.error {
  color: red;
  font-weight: bold;
}

.drawer-heading {
  height: 51px;
}

.ebook-cover-big {
  float: left;
  margin-right: 1em;
  margin-bottom: 1em;
}

.ebook-cover-big img{
  width: 320px;
}

.page-host-overfloable {
    position: relative;
    left: 0;
    right: 0;
    top: 50px;
    bottom: 0;
}

.autocomplete-container {
  /* width: 305px; */
  display: inline-block;
}

.secondary-input {
  width: 280px;
  border: 1px dashed grey;
  border-radius: 4px;
  padding: 6px 12px;
}

.secondary-input:focus {
  border-color: #66afe9;
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
  box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
}

.edit-list {
  margin: 0px 10px 10px;
}

.form-group i {
  vertical-align: middle;
  cursor: pointer;
}

.form-group label {
  display: block;
}

.composed-control label{
  font-weight: normal;
  display: inline;
}

.composed-control input{
  width:90%;
  display: inline-block;
}

.composed-control .autocomplete-container {
  width:90%;
}

.page-title .actions {

  opacity: 0;
  transition: opacity 2s ease-out;
}

.page-title:hover > .actions {
  opacity: 1;

}

.drawer-controls.notifications-btn {
  height:70px;
  /* margin-top: 0; */
}

.notifications-btn i {
 text-shadow: 3px 3px 3px #555;
}

ai-dialog-overlay.active {
  background-color: black;
  opacity: 0.5 !important;
}

.ebook-meta .ebook-authors {
  display: inline;
}

.onpage-search .input-group {
  width: 100%;
}

.ebook-detail .ebook-cover {
  float:left;
  /* background-color:white; */
  width: 100px;
  height: 140px;
  margin-right: 10px;
}

.ebook-details {
  width: calc(100% - 335px);
  float: left;
  min-width: 320px;
}

.ebook-panel {
  margin: 10px 0px;
}

.ebook-cover.missing{
background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAGQAAACMCAMAAAC9K/yJAAAA+VBMVEXKysqzs7Pc3Nzz8/P5+fnQ0NCtra3t7e25ubni4uK+vr7o6OjExMTW1tbS0tLIyMjg4ODCwsLe3t719fWxsbHNzc2vr6/39/fZ2dm1tbXGxsbb29vk5OTLy8vx8fH7+/vs7Ozw8PDU1NTm5ubq6urv7++7u7u9vb3+/v6/v7+6urrDw8Pl5eXh4eHY2Nipqam3t7fV1dW4uLjAwMDn5+fPz8/u7u7BwcHr6+v6+vrOzs6oqKirq6v9/f34+Pi8vLyqqqra2trR0dGsrKzp6enX19f8/Pz09PTj4+P29vbFxcXMzMyysrLHx8fJycny8vK0tLT///+np6dlj6GFAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH4AgbDxUSoqj6HAAAA69JREFUaN7tm2lv1DAQhse3nWR7LNBCDygCcbWFIoEoVQUIqQghIWr//x+Dx85mKde2G89+8nxJskn8rMfj16NoDH4FBhVSIauAbPO3NpS1v/fk1uM7m4SQELbgwgy0+7vAKCBotz/e3Zv3aw+eUkAGu7fPxQAzG6ApIIPZs9Pt2TPSfN75RAFJoB0uh24d8M5SQGam7euNLwOt3X9HAUn2AtyvQficUUAGa3aP5oHoXj4hgczsZJPfmgfidN1SQJJ1Z6f+z6YKQ4ZAXF8BBBuukJIQB5YeEo+MHhKCVOQQHTxC2K/LhygNkcLFg/KyIYSEYETqjAJsXrZXIZqxIpDYZmrVdx1eeYiXnYQku5KDkrYAhMkeAhyPHC99m+5K7AZbRFkIUUaYJjiD95sEYX7+VvZbCgo9esYzAUy50PgMEbNBccMTRprxsqJTrsAEY9LhILkrYaYl+o4HGfuDHtR6lHZ1OOBdbCpRZv8efEby+INEnMIZbPvJtbxA5uhyVyEWBSL9ERXPnBdFVNga0Yo4T1V0Jo5YxzgLMdMU3DWDM8dL/cQ5loKZpXBw0Vs8sBjtEI+l15MG8szBltvsTk66aDEe066xED1ZmA9hwI+DsLSQMSBd45k3q4CgHidIFnoPFBCceRGiWoUxq7wihKBkNTy03nckkCABQq8mZO4KTtBCsjpaSJKFJBLIYEqm5I8WEjQ0gRxSdDLqdgUQ6ekhrNVRU+GK67XUrCiENzi7U0qEH6RygmC0LwnhvsVEJAHaYIWayHjaBX+tHPyaEExHLVIkZkG+/0ngmRIxS9UDhC8NYelV36Bg+R4y6SHeKRk1cjzE9rMbRwVynhBUhnAcHhUhUqmYNI+A9NFk+pzR4urR9pB0J0JSXpQhrMiM74z3vbuaJjspuUvpeKZawIWslKyk6BKCgeghXRchvmOpT8W0C9BVXk4iBLMkjj3xMiapkkQgOxbXYI6Ok6QqnESHY9j9FmQUUt8vZPVT1Mogj6Chh/jjg/wl9gK26CCX2Q4nxx/wqfdmzZ5TQdBOztzD3C2+84oKMtjh2tEzTw1Bq5AKqZAKqZAKqZAKqZAKqZAKqZBlIQfHQA4JDeT6qh/t2ncyCNol9EV+b6bfnlBB5p+5+iK/B18VHWRm5+tTQw6pn6IqpEIIIcUKxf8PKVQovhhSoFD8psX7SxWKL7tD4EaF4mO3IVyrULzIXodFheJlN1T8o1C8/K6NvxSKE24NmReKr2D/iZnW7ToVMrOftizFjczX8AMAAAAASUVORK5CYII=')
}

.series-image {
  background: url('data:image/svg+xml;base64,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');
  background-size: contain;
}

.shelf-image {
  background:  url('data:image/svg+xml;base64,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');
  background-size: contain;
  background-repeat: no-repeat;
}

.semi-icon {
  width: 1.2em;
  height: 1.2em;
  display: inline-block;
  top: 0.3em;
  position: relative;
}

.ebook-cover.missing img {
  display:none;
}

.converted-sources-item {
  font-weight: bold;
  margin-right: 0.5em;
}

.ebook-details .shelves-item {
   margin-right: 0.5em;
}

@keyframes blink {
  0% {opacity: 1}
  50% {opacity: 0.5}
  100% {opacity: 1}
}

.attention {
  animation-name: blink;
  animation-duration: 2s;
  animation-iteration-count: infinite;

}

.ebook-actions {
  font-size: 200%;
}

.button-after {
  margin-left: 10px;
}
.navbar-form {
  display: inline-block;
}

.action-btn-right {
  width: 1.1em;
  float: right;
}

.ebook-tile {
  width:100px;
  height: 140px;
  float: left;
}

.ebook-tile .missing {
   width:100px;
  height: 140px;
}



.ebook-tile img {
  margin:auto;
  display:block;
}

.vertically-spaced {
   margin-top:20px; 
}

.add-to-shelf-btn {
  margin-bottom: 20px;
}

nav .nav > li > a {

  padding-left: 10px;
  padding-right: 10px;
}

@media (min-width: 768px) {

  nav search {
    width: 32% !important;
    float: left;
  }

  nav search .input-group {
    width:100%;
  }
}

.form-group textarea {
  min-width: 331px;
  height: 5em;
}

ai-dialog-body .form-group textarea {
  min-width: 270px;
}

input.form-control.sm {
  width: 100px;
}

.top-tabs {
  font-weight: bold !important;
  font-size: 125%;
}

.ebook-card-actions {
  position: absolute;
  top: 5px;
  right: 22px;
  z-index: 9;
  font-size: 200%;
  opacity: 0;
  transition: opacity 2s ease-out;
}

.ebook-detail:hover > .ebook-card-actions {
  opacity: 1;
}

.ebook-card-description {
  font-style: italic;
    font-family: serif;
    font-size: 120%;
}

.ebook-cover.series-image {
  background-color: #EEEEEE;
  background-repeat:no-repeat;
  background-position: center;
}

.rating-count-ebook-detail {
  font-size: 150%;
}

.search-clear-btn i {
  font-size: 120% !important;
}

.search-clear-btn:focus {
  z-index: 9999 !important;
}

.short-logo {
  display:none;
}

@media (min-width:768px) and (max-width:800px) {
  .short-logo {
    display:inline;
  }
  .long-logo {
    display: none;
  }
}

.notification.status .progress {
  all: unset;
}
